model = pb.Model(lat, pb.primitive(2, 2))
sys_idx = model.system.find_nearest(position=[0, 0], sublattice="D")
sys_idx  # <-- Points to a site on sublattice D which is closest to the target position.
# 15           #     It's always a scalar.
model.system.x[sys_idx]
# 0.1  # <-- Not exactly 0 as requested, but the closest site to it.
model.system.y[sys_idx]
# 0.0
ham_idx = model.system.to_hamiltonian_indices(sys_idx)
ham_idx   # <-- Array of integers which can be used to index the Hamiltonian matrix.
# [29, 30, 31]  #     Size 3 because the selected site is on the 3-orbital sublattice D.
ham = model.hamiltonian.todense()
ham[np.ix_(ham_idx, ham_idx)]  # Returns the onsite hopping term of sublattice D.
# [[4, 0, 0],
# [0, 5, 0],
# [0, 0, 6]]
